from chipscopy.tcf.services import svf, DoneHWCommand


class svfProxy(svf.SVFService):
    """TCF SVF service interface."""

    def add_target(self, name: str, done: DoneHWCommand) -> None:
        args = {"name": name}
        return self.send_xicom_command("reqAddTarget", args, done)

    def add_device(self, target_ctx: str, name: str, done: DoneHWCommand) -> str:
        args = {"ctx": target_ctx, "name": name}
        return self.send_xicom_command("reqAddDevice", args, done)

    def remove_target(self, target_ctx: str, done: DoneHWCommand) -> None:
        args = {"ctx": target_ctx}
        return self.send_xicom_command("reqRemoveTarget", args, done)
